%define gcj_support     1

Name:           ganymed-ssh2
Version:        210
%define         subrel 1
Release:        %mkrel 6
Epoch:          0
Summary:        SSH-2 protocol implementation in pure Java
Group:          Development/Java
License:        BSD
URL:            http://www.ganymed.ethz.ch/ssh2/
Source0:        http://www.ganymed.ethz.ch/ssh2/ganymed-ssh2-build%{version}.zip
Source1:        build.xml
Source2:        http://repo1.maven.org/maven2/ch/ethz/ganymed/ganymed-ssh2/build%{version}/ganymed-ssh2-build%{version}.pom

BuildRequires:  java-devel >= 0:1.4.2
BuildRequires:  jpackage-utils >= 0:1.6

BuildRequires:  ant

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch


%description
Ganymed SSH-2 for Java is a library which implements the SSH-2 protocol in pure
Java (tested on J2SE 1.4.2 and 5.0). It allows one to connect to SSH servers
from within Java programs. It supports SSH sessions (remote command execution
and shell access), local and remote port forwarding, local stream forwarding,
X11 forwarding and SCP. There are no dependencies on any JCE provider, as all
crypto functionality is included.

%package javadoc
Summary:        Javadoc for ganymed-ssh2
Group:          Development/Java

%description javadoc
Javadoc for ganymed-ssh2.

%prep
%setup -q -n %{name}-build%{version}

# delete the jars that are in the archive
rm %{name}-build%{version}.jar

cp %{SOURCE1} .

# fixing wrong-file-end-of-line-encoding warnings
sed -i 's/\r//' LICENSE.txt README.txt HISTORY.txt faq/FAQ.html
find examples -name \*.java -exec sed -i 's/\r//' {} \;

%build
ant

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt HISTORY.txt README.txt faq examples

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat May 16 2015 neoclust <neoclust> 0:210-6.1.mga4
+ Revision: 822162
- Remove old macro

* Fri Oct 18 2013 umeabot <umeabot> 0:210-6.mga4
+ Revision: 504654
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0:210-5.mga3
+ Revision: 351059
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 19 2011 gil <gil> 0:210-4.mga2
+ Revision: 184343
- build fix
  added maven pom
- build fix
  added maven pom

* Mon Jan 17 2011 dmorgan <dmorgan> 0:210-3.mga1
+ Revision: 21057
- Remove gcj support ( fedora )
  Add ant as buildrequire
- Sync with fedora
- imported package ganymed-ssh2


* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 210-3mdv2008.0
+ Revision: 87376
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sun Sep 09 2007 Pascal Terjan <pterjan@mandriva.org> 0:210-2mdv2008.0
+ Revision: 82973
- rebuild


* Mon Jan 15 2007 David Walluck <walluck@mandriva.org> 210-1mdv2007.0
+ Revision: 109359
- 210
- Import ganymed-ssh2

* Wed Jul 19 2006 David Walluck <walluck@mandriva.org> 0:209-4mdv2007.0
- release

* Mon Jun 26 2006 Robert Marcano <robert@marcanoonline.com> 209-4
- created javadoc package
- renamed to ganymed-ssh2

* Mon Jun 12 2006 Robert Marcano <robert@marcanoonline.com> 209-3
- rpmlint fixes and debuginfo generation workaround
- doc files added

* Mon May 29 2006 Robert Marcano <robert@marcanoonline.com> 209-2
- review updates

* Mon May 08 2006 Robert Marcano <robert@marcanoonline.com> 209-1
- initial version

